//----------------------------------------------------------------
//
// NeuroChip NM6403, C runtime library
// 1997-1999 (c) RC Module Inc.
// strrchr.c,
//
//----------------------------------------------------------------

#include <string.h>

#ifdef __cplusplus
extern "C"
#endif
const char * strrchr (const char *s, int c)
{
  register const char *found, *p;

  c = (unsigned char) c;

  if (c == '\0')
    return strchr(s, '\0');

  found = NULL;
  while ((p = strchr(s, c)) != NULL)
    {
      found = p;
      s = p + 1;
    }

  return (char *) found;
}
