/*----------------------------------------------------------------
 *
 * NeuroChip NM6403, C run-time library
 * 1997-1998 (c) RC Module Inc.
 * exit.h,
 *
 *---------------------------------------------------------------- */

#ifndef	_EXIT_H

#include <stddef.h>

enum { ef_free, ef_on, ef_at } flavor;	/* `ef_free' MUST be zero!  */

struct exit_function
  {
   int flavor;
    union
      {
	void (*at)();
	struct
	  {
	    void (*fn)(int status, void * arg);
	    void * arg;
	  } on;
      } func;
  };
struct exit_function_list
  {
    struct exit_function_list *next;
    size_t idx;
    struct exit_function fns[32];
  };
extern struct exit_function_list *__exit_funcs;

#endif	/* exit.h  */
